FolksDummy.PersonaStore.unregister_personas – folks-dummy Reference Manual

# unregister_personas

## Description:

public void unregister_personas (Set<Persona> personas)

Unregister existing personas with the persona store.

This unregisters a set of personas as if they had just disappeared from the backing store. If the persona store is not frozen (see FolksDummy.PersonaStore.freeze_personas_changed) the changes are made externally visible on the store immediately (e.g. in the Folks.PersonaStore.personas property and through a Folks.PersonaStore.personas_changed signal). If the store is frozen, the changes will be pending until the store is next unfrozen.

## Parameters:

personas | set of personas to unregister

## Since:

0.9.7